unit cde_loadingform;
{$mode delphi}
{$codepage UTF8}
interface
uses Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs, ExtCtrls, Menus, ActnList,
     cde_lang;
type
  { Tcde_loadingfrm }
  Tcde_loadingfrm = class(TForm)
    GeneralShowDriveList: TAction;
    GeneralExit: TAction;
    ActionList: TActionList;
    GeneralExitM: TMenuItem;
    GeneralShowDriveListM: TMenuItem;
    Sep1: TMenuItem;
    TrayPopup: TPopupMenu;
    TrayImages: TImageList;
    LogoImg: TImage;
    cde_Tray: TTrayIcon;
    WaitTimer: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure GeneralExitExecute(Sender: TObject);
    procedure GeneralShowDriveListExecute(Sender: TObject);
    procedure WaitTimerTimer(Sender: TObject);
  private
  public
  end;
var
  cde_loadingfrm: Tcde_loadingfrm;
implementation
uses cde_MainForm;
{ Tcde_loadingfrm }
procedure Tcde_loadingfrm.FormCreate(Sender: TObject);
begin
//LogoImg.Picture.LoadFromFile(GetSkinDir + 'logos\cde_logo.png');
//Application.Title:= GetLocalizedString(cdea_app_title);
//WaitTimer.Enabled:= True;
end;
procedure Tcde_loadingfrm.GeneralExitExecute(Sender: TObject);
begin
Application.Terminate;
end;
procedure Tcde_loadingfrm.GeneralShowDriveListExecute(Sender: TObject);
begin
cde_Main.Show;
end;
procedure Tcde_loadingfrm.WaitTimerTimer(Sender: TObject);
begin
WaitTimer.Enabled:= False;
cde_Tray.Visible:= True;
cde_loadingfrm.Hide;
end;
initialization
{$R *.lfm}
end.

